%define major	1
%define devname	%mklibname %{name} -d
%define libname	%mklibname %{name} %{major}
%define gstname	gstreamer0.10-%{name}

Name:		pocketsphinx
Version:	0.8
Release:	%mkrel 3
Summary:	Real-time speech recognition
Group:		Sound/Utilities
License:	BSD and LGPLv2+
URL:		http://www.pocketsphinx.org/
Source:		http://downloads.sourceforge.net/cmusphinx/%{name}-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	sphinxbase-devel
BuildRequires:	pkgconfig(sndfile)

%description
PocketSphinx is a version of the open-source Sphinx-II speech recognition
system which is able to recognize speech in real-time.  While it may be
somewhat less accurate than the offline speech recognizers, it is lightweight
enough to run on hand-held and embedded devices.

%package -n %{devname}
Summary:	Header files for developing with %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing with %{name}.

%package -n %{libname}
Summary:	Shared libraries for %{name} executables
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name} executables.

%package -n python-%{name}
Summary:	Python interface to %{name}
Group:		Development/Python
BuildRequires:	python-devel
Requires:	%{name} = %{version}-%{release}

%description -n python-%{name}
Python interface to %{name}.

%package -n %{gstname}
Summary:	Gstreamer plugin for %{name}
Group:		Sound/Utilities
BuildRequires:	libgstreamer-devel
BuildRequires:	libgstreamer-plugins-base-devel
Requires:	%{name} = %{version}-%{release}

%description -n %{gstname}
Gstreamer plugin for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make LIBS="-lsphinxbase -lsphinxad -lm"

%install
mkdir -p %{buildroot}%{python_sitearch}
%makeinstall_std

mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 doc/*.1 %{buildroot}%{_mandir}/man1/

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
%make check

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n python-%{name}
%{py_platsitedir}/*

%files -n %{gstname}
%{_libdir}/gstreamer-0.10/libgst%{name}.so


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 543006
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-2.mga4
+ Revision: 498039
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 27 2013 sander85 <sander85> 0.8-1.mga4
+ Revision: 487948
- Add missing BRs

  + wally <wally>
    - new version 0.8

* Sun Jan 13 2013 umeabot <umeabot> 0.7-3.mga3
+ Revision: 377991
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 0.7-2.mga3
+ Revision: 343022
- update group
- clean spec

* Mon Jul 18 2011 wally <wally> 0.7-1.mga2
+ Revision: 125971
- imported package pocketsphinx

